Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents.composition
Enum Length.UnitModeEnum

    java.lang.Object
      java.lang.Enum<Length.UnitModeEnum>
          org.pdfclown.documents.contents.composition.Length.UnitModeEnum

All Implemented Interfaces:
  Serializable, Comparable<Length.UnitModeEnum>

Enclosing class:
  Length

    public static enum Length.UnitModeEnum

extends Enum<Length.UnitModeEnum>

Measurement mode.

Enum Constant Summary
`Absolute` Values are expressed as absolute measures.
`Relative` Values are expressed as ratios relative to a specified base value.

Method Summary
`static Length.UnitModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Length.UnitModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Absolute

    public static final Length.UnitModeEnum Absolute

  Values are expressed as absolute measures.

### Relative

    public static final Length.UnitModeEnum Relative

  Values are expressed as ratios relative to a specified base value.

Method Detail

### values

    public static Length.UnitModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Length.UnitModeEnum c : Length.UnitModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Length.UnitModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.